#ifndef emu_linux_h
#define emu_linux_h

#define TERM_NAME "linux"

#ifdef HAVE_EMULATION
#error Can not have more than one EMULATION module.
#endif

#define HAVE_EMULATION
#include "emulation/interface.h"


/* linux.c */

void emu_setup_fd(int fd);
void *emu_create(void *buf);
void emu_destroy(void *emu);

/* transmit.c */

void emu_dsp_char(void *emu, emu_char_t c);
void emu_io_char(void *emu, emu_char_t c);
void emu_dsp_ctrl(void *emu, ctrl_t ctrl);

/* process.c */
/* actions.c */


#endif

