extern void vterm_open_slave(int fd);
extern void vterm_close_slave(int fd);

typedef struct io_instance_s {
	int master, slave;
	void *emu;
} io_instance_t;

/* Cerate a new IO instance */
io_instance_t *io_create(void *emu);

/* Destroy an IO instance */
void io_destroy(io_instance_t *io);

/* We got user input to be submitted to the process */
static inline void io_got_user_input(io_instance_t *io, unsigned char data)
{
	write(io->master, &data, 1);
}

static inline void io_set_shell(char *shell_, char *shell_args_[])
{
}

static inline int io_get_master(io_instance_t *io)
{
	return io->master;
}
